% Parametres
T=2;
N=50;
y0=2;
% Calcul
[sol,tps]=Euler(y0,N,T);
% Graphique
close all
plot(tps,sol,'LineWidth',2)
hold on
plot(tps,yex(tps),'r--','LineWidth',2)
% Titres et legendes
title('Resolution par la methode d''Euler', ...
             'FontSize',14 ,'FontWeight','bold')
xlabel('temps t','FontSize',14)
ylabel('y(t)','FontSize',14)
legend('Solution numerique','Solution exacte')
set(gca,'FontSize',14)