% Parametres
T=2;
y0=2;
liste_N=10:10:1000;
% Boucle sur N
liste_Err=[];
for N=liste_N
    % Calcul
    [sol,tps]=Euler(y0,N,T);
    % Evaluation de l'erreur
    erreur=norm(sol-yex(tps),'inf');
    % Mise a jour du tableau d'erreurs
    liste_Err=[liste_Err,erreur];
end
% Trace
close all
plot(liste_N,liste_Err,'o-')
title('Erreur en fonction de N')
xlabel('Nombre de points N')
ylabel('Erreur uniforme')

waitforbuttonpress

clf
loglog(liste_N,liste_Err,'o-')
title('Erreur en fonction de N (log-log)')
xlabel('Nombre de points N')
ylabel('Erreur uniforme')

waitforbuttonpress

r=polyfit(log(liste_N),log(liste_Err),1);
chaine=['Pente=',num2str(r(1))];
ax=axis;
text(100,1e-3,chaine)


